build(windows): pre-compile on linux (#2080)

This commit is contained in:
Baptiste Augrain
2024-11-02 12:51:21 +01:00
committed by GitHub
parent 606a83c4c5
commit 7e79fdc303
5 changed files with 192 additions and 37 deletions

29
package_windows.sh Executable file
View File

@@ -0,0 +1,29 @@
#!/usr/bin/env bash
# shellcheck disable=SC1091
set -ex
if [[ "${CI_BUILD}" == "no" ]]; then
exit 1
fi
tar -xzf ./vscode.tar.gz
cd vscode || { echo "'vscode' dir not found"; exit 1; }
for i in {1..5}; do # try 5 times
npm ci && break
if [[ $i -eq 3 ]]; then
echo "Npm install failed too many times" >&2
exit 1
fi
echo "Npm install failed $i, trying again..."
done
node build/azure-pipelines/distro/mixin-npm
. ../build/windows/rtf/make.sh
yarn gulp "vscode-win32-${VSCODE_ARCH}-min-ci"
cd ..